Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class RedirectDynamicMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.RedirectDynamicMethod

    public class RedirectDynamicMethod
    extends AbstractDynamicMethodInvocation

Implements the "redirect" Controller method for action redirection.

Authors:
  Graeme Rocher

Since:
  0.2 Created Oct 27, 2005

Field Summary
`static java.lang.String` | `ARGUMENT_ACTION`
`static java.lang.String` | `ARGUMENT_CONTROLLER`
`static java.lang.String` | `ARGUMENT_ERRORS`
`static java.lang.String` | `ARGUMENT_ID`
`static java.lang.String` | `ARGUMENT_PARAMS`
`static java.lang.String` | `ARGUMENT_URI`
`static java.lang.String` | `ARGUMENT_URL`
`static java.lang.String` | `GRAILS_REDIRECT_ISSUED`
`static java.lang.String` | `GRAILS_VIEWS_ENABLE_JSESSIONID`
`static java.util.regex.Pattern` | `METHOD_PATTERN`
`static java.lang.String` | `METHOD_SIGNATURE`

Constructor Summary
`RedirectDynamicMethod(ApplicationContext applicationContext)` Constructor.

Method Summary
`java.lang.Object` | `invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)`

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### ARGUMENT_ACTION

    public static final java.lang.String ARGUMENT_ACTION

### ARGUMENT_CONTROLLER

    public static final java.lang.String ARGUMENT_CONTROLLER

### ARGUMENT_ERRORS

    public static final java.lang.String ARGUMENT_ERRORS

### ARGUMENT_ID

    public static final java.lang.String ARGUMENT_ID

### ARGUMENT_PARAMS

    public static final java.lang.String ARGUMENT_PARAMS

### ARGUMENT_URI

    public static final java.lang.String ARGUMENT_URI

### ARGUMENT_URL

    public static final java.lang.String ARGUMENT_URL

### GRAILS_REDIRECT_ISSUED

    public static final java.lang.String GRAILS_REDIRECT_ISSUED

### GRAILS_VIEWS_ENABLE_JSESSIONID

    public static final java.lang.String GRAILS_VIEWS_ENABLE_JSESSIONID

### METHOD_PATTERN

    public static final java.util.regex.Pattern METHOD_PATTERN

### METHOD_SIGNATURE

    public static final java.lang.String METHOD_SIGNATURE

Constructor Detail

### RedirectDynamicMethod

    public RedirectDynamicMethod(ApplicationContext applicationContext)

  Constructor.
  Parameters:
    applicationContext

Method Detail

### invoke

    @SuppressWarnings({"unchecked","rawtypes"})
    @Override
    public java.lang.Object invoke(java.lang.Object target, java.lang.String methodName, Object[] arguments)

Groovy Documentation